Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

"Loading dependency graph, done." Stuck #25650

Closed
anandhuraj1001 opened this issue Jul 15, 2019 · 22 comments

Comments

@anandhuraj1001
Copy link

@anandhuraj1001 anandhuraj1001 commented Jul 15, 2019

Metro Bundler ready.
Loading dependency graph, done.
than stuck nothing happens.

react-native info:
info Fetching system and libraries information...
System:
OS: Linux 4.15 Ubuntu 18.04.2 LTS (Bionic Beaver)
CPU: (2) x64 Intel(R) Pentium(R) CPU G3240 @ 3.10GHz
Memory: 2.55 GB / 7.69 GB
Shell: 4.4.20 - /bin/bash
Binaries:
Node: 12.6.0 - /usr/local/bin/node
npm: 6.9.0 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
SDKs:
Android SDK:
API Levels: 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 7, 8, 9
Build Tools: 26.0.2, 27.0.3, 28.0.3
System Images: android-22 | Google APIs Intel x86 Atom, android-24 | Google Play Intel x86 Atom, android-28 | Google Play Intel x86 Atom
npmPackages:
react: 16.8.6 => 16.8.6
react-native: 0.60.3 => 0.60.3
npmGlobalPackages:
react-native-cli: 2.0.1

@react-native-bot

This comment has been minimized.

Copy link
Collaborator

@react-native-bot react-native-bot commented Jul 15, 2019

Thanks for submitting your issue. Can you take another look at your description and make sure the issue template has been filled in its entirety?

👉 Click here if you want to take another look at the Bug Report issue template.

@murtraja

This comment has been minimized.

Copy link

@murtraja murtraja commented Jul 15, 2019

@anandhuraj1001 this is a very common issue that I faced regularly when I was beginning react-native. What worked for me was to set the watcher limits
facebook/watchman#163 (comment)

@anandhuraj1001

This comment has been minimized.

Copy link
Author

@anandhuraj1001 anandhuraj1001 commented Jul 15, 2019

**

Steps To Reproduce:

**
1)react-native init testApp
2)npm install
3)react-native start
Loading dependency graph, done. but stuck.

**

react-native info:

**

info Fetching system and libraries information...
System:
OS: Linux 4.15 Ubuntu 18.04.2 LTS (Bionic Beaver)
CPU: (2) x64 Intel(R) Pentium(R) CPU G3240 @ 3.10GHz
Memory: 2.55 GB / 7.69 GB
Shell: 4.4.20 - /bin/bash
Binaries:
Node: 12.6.0 - /usr/local/bin/node
npm: 6.9.0 - /usr/local/bin/npm
Watchman: 4.9.0 - /usr/local/bin/watchman
SDKs:
Android SDK:
API Levels: 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 7, 8, 9
Build Tools: 26.0.2, 27.0.3, 28.0.3
System Images: android-22 | Google APIs Intel x86 Atom, android-24 | Google Play Intel x86 Atom, android-28 | Google Play Intel x86 Atom
npmPackages:
react: 16.8.6 => 16.8.6
react-native: 0.60.3 => 0.60.3
npmGlobalPackages:
react-native-cli: 2.0.1

**

App.js code:

**

import React, { Component } from 'react';
import { Text, View } from 'react-native';

export default class HelloWorldApp extends Component {
render() {
return (
<View style={{ flex: 1, justifyContent: "center", alignItems: "center" }}>
Hello, world!

);
}
}

@valery-lavrik

This comment has been minimized.

Copy link

@valery-lavrik valery-lavrik commented Jul 15, 2019

I have a similar problem. Solutions already looking for 2 days, but nothing. But it happened to me on windows 10

@chrisspankroy

This comment has been minimized.

Copy link

@chrisspankroy chrisspankroy commented Jul 15, 2019

If it says

Loading dependency graph, done.

then you're good, that's all it is supposed to do. You leave it running, then when you launch a RN app, you can see it start to bundle.

But, if you see something like

Loading dependency graph...

and you never see done, then apps won't be able to bundle yet

@anandhuraj1001

This comment has been minimized.

Copy link
Author

@anandhuraj1001 anandhuraj1001 commented Jul 16, 2019

I have a similar problem. Solutions already looking for 2 days, but nothing. But it happened to me on windows 10

same here but i'm using Linux.

@valery-lavrik

This comment has been minimized.

Copy link

@valery-lavrik valery-lavrik commented Jul 16, 2019

and you never see done, then apps won't be able to bundle yet

really, I have a message

Loading dependency graph ...

and nothing happens.
That's where everything stopped at me. I do not know what to do...
Screenshot_1

@thymikee

This comment has been minimized.

Copy link
Collaborator

@thymikee thymikee commented Jul 16, 2019

It's because of Node >=12.5 issues with memory. See: react-native-community/cli#485 (comment)
Please downgrade to Node 12.4 or lower for now.

@thymikee thymikee closed this Jul 16, 2019
@valery-lavrik

This comment has been minimized.

Copy link

@valery-lavrik valery-lavrik commented Jul 17, 2019

It's because of Node >=12.5 issues with memory. See: react-native-community/cli#485 (comment)
Please downgrade to Node 12.4 or lower for now.

thanks, it worked!

@valery-lavrik

This comment has been minimized.

Copy link

@valery-lavrik valery-lavrik commented Jul 17, 2019

image
Maybe I'm not writing here, but after turning on Hermes, I get this error (in the picture).

Searching in node_modules I found this in ./node_modules/react-refresh/cjs/react-refresh-babel.development

I updated all the packages to the latest version, but it did not help.
What should I do?

@valery-lavrik

This comment has been minimized.

Copy link

@valery-lavrik valery-lavrik commented Jul 17, 2019

image
if you disable debug mode, there will be such a message

@ebnersilva

This comment has been minimized.

Copy link

@ebnersilva ebnersilva commented Jul 24, 2019

Thanks @thymikee fix for me!

@mr-moon

This comment has been minimized.

Copy link

@mr-moon mr-moon commented Sep 9, 2019

v12.4, nor v12.10 do not work for me.

@Robiullah2244

This comment has been minimized.

Copy link

@Robiullah2244 Robiullah2244 commented Sep 28, 2019

and you never see done, then apps won't be able to bundle yet

really, I have a message

Loading dependency graph ...

and nothing happens.
That's where everything stopped at me. I do not know what to do...
Screenshot_1

Try to run with a different device. I have faced the same problem. After change the virtual device it works fine for me. :)

@Robiullah2244

This comment was marked as spam.

Copy link

@Robiullah2244 Robiullah2244 commented Sep 28, 2019

Try to run with a different device. I have faced the same problem. And I also changed my node version but didn't work. After change the virtual device it works fine for me. :)

@Robiullah2244

This comment has been minimized.

Copy link

@Robiullah2244 Robiullah2244 commented Sep 28, 2019

v12.4, nor v12.10 do not work for me.

Try to run with a different device. I have faced the same problem. And I also changed my node version but didn't work. After change the virtual device it works fine for me. :)

@mr-moon

This comment has been minimized.

Copy link

@mr-moon mr-moon commented Sep 30, 2019

Yes, it kinda works with some devices, @Robiullah2244 , but even plain browser-based dev doesn't work.
image
Here's react-native start
image

1 thing I noticed is these 3 lines:

debug Current version: 0.60.5
debug Cached release version: 0.60.0
...
debug Latest release: 0.60.0

Why versions are different?

Also, I did cleared watchman cache, platform cache as suggested here. But still, nothing helps and react-native versions remained the same.

image

@jasuno

This comment has been minimized.

Copy link

@jasuno jasuno commented Nov 6, 2019

If you are using expo, just run expo start instead

@denzilgupta

This comment has been minimized.

Copy link

@denzilgupta denzilgupta commented Nov 7, 2019

Hi
Can someone help me out?

Screenshot from 2019-11-07 16-38-23

Nothing happens after this.
I get the below error on my phone:

Screenshot_20191107-163941

I am using react native for the first time ever. Please help me out with this.
Thanks!

@denzilgupta

This comment has been minimized.

Copy link

@denzilgupta denzilgupta commented Nov 7, 2019

Hi
Can someone help me out?

Screenshot from 2019-11-07 16-38-23

Nothing happens after this.
I get the below error on my phone:

Screenshot_20191107-163941

I am using react native for the first time ever. Please help me out with this.
Thanks!

I found the solution for this.
I ran the command "react-native start" and then ran "react-native run-android"

This worked out for me! :)

@toeurtenh

This comment has been minimized.

Copy link

@toeurtenh toeurtenh commented Nov 22, 2019

@thymikee you might be right about memory as my memory is 93% but my node is v10.15.1 and I have a same problem.

@YehudaKremer

This comment has been minimized.

Copy link

@YehudaKremer YehudaKremer commented Nov 28, 2019

in my case - select "No Proxy" in your virtual device settings.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
You can’t perform that action at this time.